=== debian/changelog ===
pfstools (2.0.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 19 Jun 2016 11:52:33 +0200

pfstools (2.0.5-1) experimental; urgency=medium

  * Move Vcs-* from git/http to https.
  * New upstream version.
    + Drop 21_fedora_maptype.patch, 22_octave_install_dirs.patch.
    + Add 23_octavesystemdirs.diff to use octave system directories instead
      of local, site-specific ones. Stop passing these as arguments to
      dh_auto_configure in debian/rules.
    + Stop trying to ship removed TODO.
  * Build with hardening=+bindnow.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 04 Jun 2016 15:47:03 +0200
