## pfstools 2.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # CPack version numbers for release tarball name.
 set(CPACK_PACKAGE_VERSION_MAJOR 2)
 set(CPACK_PACKAGE_VERSION_MINOR 0)
-set(CPACK_PACKAGE_VERSION_PATCH 4)
+set(CPACK_PACKAGE_VERSION_PATCH 6)
 set(CPACK_SOURCE_IGNORE_FILES
 "~$"
 "\\\\.cvsignore$"
@@ -199,7 +199,7 @@
   find_package(MATLAB)
 
   if( MATLAB_FOUND )
-    message(STATUS "matlab found.")
+    message(STATUS "matlab found. mex command: ${MATLAB_MEX}")
   elseif( MATLAB_FOUND )
     message( STATUS "Matlab or mex compiler not found. Matlab integration will not be compiled." )
   endif( MATLAB_FOUND )
