=== debian/changelog ===
pfstools (2.0.6-4) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 18 Nov 2017 11:22:44 +0100

pfstools (2.0.6-3) experimental; urgency=low

  * Pull 30_Upgrade-to-Qt5.patch from upstream qt5-upgrade branch and
    update b-d for qt5 (libqt4-dev -> qtbase5-dev). Closes: #875094
  * Upgrade pfsglview/pfsview recommends on pfstools to a dependency since
    pfstools is required for viewing EXR files.
  * Sync priorities with override file.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Oct 2017 15:16:36 +0200

pfstools (2.0.6-2) unstable; urgency=low

  * 25_Multiple-typo-fixes-suggested-by-lintian.patch Fix some typoes.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 06 Aug 2017 14:52:51 +0200

pfstools (2.0.6-1) experimental; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 18 Mar 2017 14:24:07 +0100
