=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Sebastian Harl <tokkee@debian.org>, Andreas Metzler <ametzler@debian.org>
 Build-Depends: debhelper (>= 9), gfortran,
- cmake, libqt4-dev, libmagick++-dev, libtiff-dev, libopenexr-dev,
+ cmake, qtbase5-dev, libmagick++-dev, libtiff-dev, libopenexr-dev,
  libnetpbm10-dev, liboctave-dev, texlive-latex-base, freeglut3-dev,
  libgsl-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://pfstools.sourceforge.net/
 Vcs-Git: https://anonscm.debian.org/git/pkg-phototools/pfstools.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-phototools/pfstools.git
@@ -29,8 +29,7 @@
 
 Package: pfsglview
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: pfstools
+Depends: ${shlibs:Depends}, ${misc:Depends}, pfstools (= ${binary:Version})
 Replaces: pfstools (<< 1.6.2-2)
 Description: command line HDR manipulation programs (OpenGL/GLUT viewer)
  PFS is a high-dynamic range (HDR) image format. It is an attempt to integrate
@@ -41,8 +40,7 @@
 
 Package: pfsview
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: pfstools
+Depends: ${shlibs:Depends}, ${misc:Depends}, pfstools (= ${binary:Version})
 Replaces: pfstools (<< 1.6.2-2)
 Description: command line HDR manipulation programs (Qt viewer)
  PFS is a high-dynamic range (HDR) image format. It is an attempt to integrate
@@ -54,7 +52,6 @@
 Package: pfstools-dbg
 Section: debug
 Architecture: any
-Priority: extra
 Depends: pfstools (= ${binary:Version}), pfsglview (= ${binary:Version}),
  pfsview (= ${binary:Version}), libpfs2 (= ${binary:Version}),
  ${misc:Depends}
