## pfstools 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 set(CPACK_SOURCE_GENERATOR TGZ)
 # CPack version numbers for release tarball name.
 set(CPACK_PACKAGE_VERSION_MAJOR 2)
-set(CPACK_PACKAGE_VERSION_MINOR 0)
-set(CPACK_PACKAGE_VERSION_PATCH 6)
+set(CPACK_PACKAGE_VERSION_MINOR 1)
+set(CPACK_PACKAGE_VERSION_PATCH 0)
 set(CPACK_SOURCE_IGNORE_FILES
 "~$"
 "\\\\.cvsignore$"
@@ -174,13 +174,13 @@
 
 if( WITH_QT )
 
-    find_package(Qt4)
-    if( NOT QT_FOUND )
-    	MESSAGE( STATUS "Qt4 library not found. The following commands
+  find_package(Qt5 COMPONENTS Widgets)
+    if( NOT Qt5Widgets_FOUND)
+    	MESSAGE( STATUS "Qt5 library not found. The following commands
     will not be compiled: pfsview. " )
-    else( NOT QT_FOUND )
-        MESSAGE( STATUS "Qt4 found" )
-    endif( NOT QT_FOUND )
+    else( NOT Qt5Widgets_FOUND )
+        MESSAGE( STATUS "Qt5 found" )
+    endif( NOT Qt5Widgets_FOUND )
 
 else( WITH_QT )
 
@@ -194,6 +194,9 @@
 
 SET (MATLAB_DEST_DIR "${CMAKE_INSTALL_PREFIX}/share/pfstools/pfstools_matlab"
 CACHE PATH  "Copy matlab functions to this directory")
+
+SET (MEXGCC ""
+CACHE PATH "gcc compiler to use with MEX, for example MEXGCC=/usr/bin/gcc-4.7")
 
 if( WITH_MATLAB )
   find_package(MATLAB)
