=== src/matlab/CMakeLists.txt ===
--- 
+++ 
@@ -52,10 +52,20 @@
 	SET( CMAKE_CXX_COMPILE_OBJECT 
 		"<CMAKE_CXX_COMPILER> <DEFINES> <FLAGS> ${INC_FLAGS} -outdir <OBJECT_DIR> -c <SOURCE>; cp <OBJECT_DIR>/$$(basename <SOURCE> .cpp ).obj <OBJECT>"
 	)
-else( CYGWIN ) 
-	SET( CMAKE_CXX_COMPILE_OBJECT 
-#		"<CMAKE_CXX_COMPILER> GCC='/usr/bin/gcc-4.7' <DEFINES> <FLAGS> ${INC_FLAGS} -outdir <OBJECT_DIR> -c <SOURCE>; mv <OBJECT_DIR>/$$(basename <SOURCE> .cpp ).o <OBJECT>"
-		"<CMAKE_CXX_COMPILER> <DEFINES> <FLAGS> -outdir <OBJECT_DIR> -c <SOURCE>"
+else( CYGWIN )
+
+  
+  if( MEXGCC )
+    set( GCC_COMMAND "GCC=${MEXGCC}" )
+    MESSAGE( STATUS "Using gcc for MEX: ${MEXGCC}.\n" )
+  else( MEXGCC )
+    set( GCC_COMMAND "" )
+  endif( MEXGCC )
+  
+  SET( CMAKE_CXX_COMPILE_OBJECT
+		"<CMAKE_CXX_COMPILER> ${GCC_COMMAND} <DEFINES> <FLAGS> ${INC_FLAGS} -outdir <OBJECT_DIR> -c <SOURCE>; mv <OBJECT_DIR>/$$(basename <SOURCE> .cpp ).o <OBJECT>"    
+#		"<CMAKE_CXX_COMPILER> <DEFINES> <FLAGS> ${INC_FLAGS} -outdir <OBJECT_DIR> -c <SOURCE>; mv <OBJECT_DIR>/$$(basename <SOURCE> .cpp ).o <OBJECT>"
+#		"<CMAKE_CXX_COMPILER> <DEFINES> <FLAGS> ${INC_FLAGS} -outdir <OBJECT_DIR> -c <SOURCE>"
 	)
 endif( CYGWIN ) 
 
@@ -65,7 +75,7 @@
  
 SET(
     CMAKE_CXX_CREATE_SHARED_LIBRARY
-    "<CMAKE_CXX_COMPILER> -cxx <LINK_FLAGS> <CMAKE_SHARED_LIBRARY_CREATE_CXX_FLAGS> -output <TARGET> <OBJECTS> <LINK_LIBRARIES>"
+    "<CMAKE_CXX_COMPILER> ${GCC_COMMAND} -cxx <LINK_FLAGS> <CMAKE_SHARED_LIBRARY_CREATE_CXX_FLAGS> -output <TARGET> <OBJECTS> <LINK_LIBRARIES>"
 #    "<CMAKE_CXX_COMPILER> GCC='/usr/bin/gcc-4.7' -cxx <LINK_FLAGS> <CMAKE_SHARED_LIBRARY_CREATE_CXX_FLAGS> -output <TARGET> <OBJECTS> <LINK_LIBRARIES> LDFLAGS='$LDFLAGS -static-libstdc++'"
 )
