=== debian/changelog ===
pfstools (2.1.0-5build3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:01:02 +0100

pfstools (2.1.0-5build2) focal; urgency=medium

  * No-change rebuild against libilmbase24 and libopenexr24.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Dec 2019 07:26:54 +0000

pfstools (2.1.0-5build1) focal; urgency=medium

  * Rebuild against new liboctave7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Nov 2019 20:51:55 +0100

pfstools (2.1.0-5) unstable; urgency=medium

  * 40_Fix-format-security-errors-with-Octave-5.1.patch: Fix FTBFS with octave
    5.1. Closes: #941742

 -- Andreas Metzler <ametzler@debian.org>  Fri, 04 Oct 2019 19:20:38 +0200

pfstools (2.1.0-4) unstable; urgency=medium

  * Run "wrap-and-sort --max-line-length=72 --short-indent".
  * [lintian] Point Vcs-* to salsa.
  * [lintian] Drop trailing empty line in changelog.
  * [lintian] Upgrade to dh compat 12. Suppress dh_dwz for octave-pfstools.
  * [lintian] Migration to new dbgsym package is finished.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 13 Jul 2019 14:34:38 +0200

pfstools (2.1.0-3) unstable; urgency=medium

  * 30_parallel_build.diff: Octave build requires libpfs, add CMake
    dependency.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 01 Jan 2018 17:47:47 +0100

pfstools (2.1.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Use debhelper v10 mode.
  * Use automatic debug packages.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 01 Jan 2018 14:13:22 +0100

pfstools (2.1.0-1) experimental; urgency=low

  * [lintian] Delete trailing whitespace in changelog.
  * New upstream version.
    + Drop 30_Upgrade-to-Qt5.patch.
    + Bump libpfs shlibs.
  * Set Rules-Requires-Root: no

 -- Andreas Metzler <ametzler@debian.org>  Sat, 18 Nov 2017 12:55:15 +0100
