=== debian/control ===
--- 
+++ 
@@ -2,20 +2,37 @@
 Section: graphics
 Priority: optional
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
-Uploaders: Sebastian Harl <tokkee@debian.org>, Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper (>= 9), gfortran,
- cmake, qtbase5-dev, libmagick++-dev, libtiff-dev, libopenexr-dev,
- libnetpbm10-dev, liboctave-dev, texlive-latex-base, freeglut3-dev,
- libgsl-dev
-Standards-Version: 4.1.1
+Uploaders:
+ Sebastian Harl <tokkee@debian.org>,
+ Andreas Metzler <ametzler@debian.org>
+Build-Depends:
+ cmake,
+ debhelper-compat (=12),
+ freeglut3-dev,
+ gfortran,
+ libgsl-dev,
+ libmagick++-dev,
+ libnetpbm10-dev,
+ liboctave-dev,
+ libopenexr-dev,
+ libtiff-dev,
+ qtbase5-dev,
+ texlive-latex-base
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Homepage: http://pfstools.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/git/pkg-phototools/pfstools.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-phototools/pfstools.git
+Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pfstools
+Vcs-Git: https://salsa.debian.org/debian-phototools-team/pfstools.git
 
 Package: pfstools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: pfsglview | pfsview, pfstmo, octave, octave-signal, octave-pfstools
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends:
+ octave,
+ octave-pfstools,
+ octave-signal,
+ pfsglview | pfsview,
+ pfstmo
 Suggests: dcraw, exrtools, imagemagick
 Description: command line HDR manipulation programs
  pfstools is a set of command line (and two GUI) programs for reading,
@@ -29,7 +46,10 @@
 
 Package: pfsglview
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, pfstools (= ${binary:Version})
+Depends:
+ pfstools (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Replaces: pfstools (<< 1.6.2-2)
 Description: command line HDR manipulation programs (OpenGL/GLUT viewer)
  PFS is a high-dynamic range (HDR) image format. It is an attempt to integrate
@@ -40,7 +60,10 @@
 
 Package: pfsview
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, pfstools (= ${binary:Version})
+Depends:
+ pfstools (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Replaces: pfstools (<< 1.6.2-2)
 Description: command line HDR manipulation programs (Qt viewer)
  PFS is a high-dynamic range (HDR) image format. It is an attempt to integrate
@@ -48,20 +71,6 @@
  exchange data between applications.
  .
  This package contains a viewer implemented in Qt.
-
-Package: pfstools-dbg
-Section: debug
-Architecture: any
-Depends: pfstools (= ${binary:Version}), pfsglview (= ${binary:Version}),
- pfsview (= ${binary:Version}), libpfs2 (= ${binary:Version}),
- ${misc:Depends}
-Description: command line HDR manipulation programs (debugging symbols)
- PFS is a high-dynamic range (HDR) image format. It is an attempt to integrate
- existing file formats by providing a simple data format that can be used to
- exchange data between applications.
- .
- This package contains the debugging symbols for the pfstools binaries and the
- shared library.
 
 Package: libpfs-dev
 Section: libdevel
@@ -78,7 +87,7 @@
 Package: libpfs2
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: C++ library to read and write pfs files
  PFS is a high-dynamic range (HDR) image format. It is an attempt to integrate
  existing file formats by providing a simple data format that can be used to
@@ -90,7 +99,7 @@
 Package: octave-pfstools
 Section: math
 Architecture: any
-Depends: octave, ${shlibs:Depends}, ${misc:Depends}
+Depends: octave, ${misc:Depends}, ${shlibs:Depends}
 Description: octave bindings for pfstools
  PFS is a high-dynamic range (HDR) image format. It is an attempt to integrate
  existing file formats by providing a simple data format that can be used to
@@ -100,7 +109,7 @@
 
 Package: pfstmo
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: pfstools
 Description: set of tone mapping operators
  This package contains a set of state-of-the-art tone mapping operators. Tone
