=== debian/rules ===
--- 
+++ 
@@ -46,10 +46,13 @@
 		debian/pfstools/usr/share/man/*/pfstmo*
 
 override_dh_strip:
-	dh_strip --dbg-package=pfstools-dbg
 	# mkoctfile removes any symbol table and relocation information from the
 	# .oct files making them unusable for the -dbg package
-	rm -rf debian/pfstools-dbg/usr/lib/debug/usr/lib/octave/
+	dh_strip -poctave-pfstools --no-automatic-dbgsym
+	dh_strip --remaining-packages
+
+override_dh_dwz:
+	dh_dwz -X.oct
 
 override_dh_compress:
 	dh_compress -X.pdf
